* {
  box-sizing: border-box;
}

form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

main {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}

.generate {
  border-radius: none;
  border: 1px solid black;
  padding: 5px 20px;
  background-color: #f4f7f8;
  font-size: 1.1rem;
}

.generate:hover {
  cursor: pointer;
  background-color: #dbdedf;
}

.generate:focus {
  outline: none;
}

.container {
  flex: 1;
  background: #f4f7f8;
  margin: 5px;
  border-radius: 8px;
}

.container > h3 {
  text-align: center;
  margin: 0;
  padding-top: 7px;
  padding-bottom: 7px;
  background: #dbdedf;
}

.container > div {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin: 10px;
}

.container > div > label {
  flex: 1;
  margin-right: 5px;
  white-space: nowrap;
}

.container > div > input,
.container > div > textarea {
  flex: 1;
  margin-left: 5px;
  padding: 4px 6px;
}

.container > div > textarea {
  flex: 2;
}

.befott > div {
  margin: 0;
  padding: 10px;
  padding-left: 40px;
  padding-right: 40px;
  border-top: 1px solid #dbdedf;
}

.befott {
  border: 1px solid #dbdedf;
}

.befott__button {
  border-radius: 4px;
  border: 1px solid #ced2d3;
}
